/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.FuncionSistemaDAO;
import com.rjconsultores.ventaboletos.entidad.FuncionSistema;
import com.rjconsultores.ventaboletos.service.FuncionSistemaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author rodrigo
 */
@Service("funcionSistemaService")
public class FuncionSistemaServiceImpl implements FuncionSistemaService {

    @Autowired
    private FuncionSistemaDAO funcionSistemaDAO;

    public List<FuncionSistema> obtenerTodos() {
        return funcionSistemaDAO.obtenerTodos();
    }

    public FuncionSistema obtenerID(Integer id) {
        return funcionSistemaDAO.obtenerID(id);
    }

    @Transactional
    public FuncionSistema suscribir(FuncionSistema entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return funcionSistemaDAO.suscribir(entidad);
    }

    @Transactional
    public FuncionSistema actualizacion(FuncionSistema entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return funcionSistemaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(FuncionSistema entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        funcionSistemaDAO.actualizacion(entidad);
    }
}
